# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-12-10 14:42
from __future__ import unicode_literals

from django.conf import settings
from decimal import Decimal
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('argo', '0002_add_task_choice_model'),
    ]

    operations = [
        migrations.CreateModel(
            name='Campaign_Status',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.TextField(verbose_name='Name')),
            ],
            options={
                'verbose_name': 'Campaign Status',
                'verbose_name_plural': 'Campaign Status',
            },
        ),
        migrations.CreateModel(
            name='Pattern',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField(verbose_name='Name')),
            ],
            options={
                'verbose_name': 'Pattern',
                'verbose_name_plural': 'Patterns',
            },
        ),
        migrations.CreateModel(
            name='Task_Setup_Pattern',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('round', models.IntegerField(verbose_name='Round')),
                ('pattern', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Pattern', verbose_name='Pattern')),
            ],
            options={
                'verbose_name': 'Pattern Setup',
                'verbose_name_plural': 'Patterns Setup',
            },
        ),
        migrations.AlterModelOptions(
            name='answer_type',
            options={'verbose_name': 'Answer Type', 'verbose_name_plural': 'Answer Types'},
        ),
        migrations.AlterModelOptions(
            name='campaign',
            options={'verbose_name': 'Campaign', 'verbose_name_plural': 'Campaigns'},
        ),
        migrations.AlterField(
            model_name='campaign',
            name='requester',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Requester'),
        ),
        migrations.AlterModelOptions(
            name='task',
            options={'verbose_name': 'Task', 'verbose_name_plural': 'Tasks'},
        ),
        migrations.AlterModelOptions(
            name='task_choice',
            options={'verbose_name': 'Choice', 'verbose_name_plural': 'Choice Set'},
        ),
        migrations.AlterModelOptions(
            name='task_setup',
            options={'verbose_name': 'Task Setup', 'verbose_name_plural': 'Task Setup'},
        ),
        migrations.AlterModelOptions(
            name='task_status',
            options={'verbose_name': 'Task Status', 'verbose_name_plural': 'Task Status'},
        ),
        migrations.AlterModelOptions(
            name='task_task_setup',
            options={'verbose_name': 'Task Setup', 'verbose_name_plural': 'Tasks Setup'},
        ),
        migrations.AlterModelOptions(
            name='worker',
            options={'verbose_name': 'Worker', 'verbose_name_plural': 'Workers'},
        ),
        migrations.AlterModelOptions(
            name='worker_campaign',
            options={'verbose_name': 'Worker Campaign', 'verbose_name_plural': 'Workers Campaigns'},
        ),
        migrations.AlterModelOptions(
            name='worker_task',
            options={'verbose_name': 'Worker Task', 'verbose_name_plural': 'Workers Tasks'},
        ),
        migrations.AddField(
            model_name='task',
            name='content',
            field=models.TextField(null=True, verbose_name='Content'),
        ),
        migrations.AddField(
            model_name='task',
            name='gold_answer',
            field=models.TextField(null=True, verbose_name='Gold Answer'),
        ),
        migrations.AddField(
            model_name='task',
            name='id_origin',
            field=models.TextField(null=True, verbose_name='ID Origin'),
        ),
        migrations.AlterField(
            model_name='answer_type',
            name='name',
            field=models.TextField(verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='campaign',
            name='creation_date',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Creation Date'),
        ),
        migrations.AlterField(
            model_name='campaign',
            name='finish_date',
            field=models.DateField(verbose_name='Finish Date'),
        ),
        migrations.AlterField(
            model_name='campaign',
            name='finish_signup',
            field=models.DateField(verbose_name='Finish Signup'),
        ),
        migrations.AlterField(
            model_name='campaign',
            name='init_trustworthiness',
            field=models.DecimalField(decimal_places=2, max_digits=4, verbose_name='Trustworthiness'),
        ),
        migrations.AlterField(
            model_name='campaign',
            name='name',
            field=models.TextField(verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='campaign',
            name='start_date',
            field=models.DateField(verbose_name='Start Date'),
        ),
        migrations.AlterField(
            model_name='campaign',
            name='start_signup',
            field=models.DateField(verbose_name='Start Signup'),
        ),
        migrations.AlterField(
            model_name='campaign',
            name='w_campaign',
            field=models.ManyToManyField(through='argo.Worker_Campaign', to='argo.Worker', verbose_name='Worker'),
        ),
        migrations.AlterField(
            model_name='task',
            name='answer_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Answer_Type', verbose_name='Answer Type'),
        ),
        migrations.AlterField(
            model_name='task',
            name='campaign',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Campaign', verbose_name='Campaign'),
        ),
        migrations.AlterField(
            model_name='task',
            name='current_round',
            field=models.IntegerField(null=True, verbose_name='Current Round'),
        ),
        migrations.AlterField(
            model_name='task',
            name='description',
            field=models.TextField(verbose_name='Request'),
        ),
        migrations.AlterField(
            model_name='task',
            name='final_answer',
            field=models.TextField(null=True, verbose_name='Final Answer'),
        ),
        migrations.AlterField(
            model_name='task',
            name='insert_date',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Insert Date'),
        ),
        migrations.AlterField(
            model_name='task',
            name='priority',
            field=models.IntegerField(default=0, verbose_name='Priority'),
        ),
        migrations.AlterField(
            model_name='task',
            name='task_status',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Task_Status', verbose_name='Status'),
        ),
        migrations.AlterField(
            model_name='task',
            name='w_task',
            field=models.ManyToManyField(through='argo.Worker_Task', to='argo.Worker', verbose_name='Worker'),
        ),
        migrations.AlterField(
            model_name='task_choice',
            name='description',
            field=models.TextField(verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='task_setup',
            name='consensus_threshold',
            field=models.DecimalField(decimal_places=2, max_digits=4, verbose_name='Consensus Threshold'),
        ),
        migrations.AlterField(
            model_name='task_setup',
            name='max_exec_time',
            field=models.IntegerField(verbose_name='Max. Execution Time'),
        ),
        migrations.AlterField(
            model_name='task_setup',
            name='min_trustworthiness',
            field=models.DecimalField(decimal_places=2, max_digits=4, verbose_name='Min. Trustworthiness'),
        ),
        migrations.AlterField(
            model_name='task_setup',
            name='num_worker',
            field=models.IntegerField(verbose_name='Num. Worker'),
        ),
        migrations.AlterField(
            model_name='task_setup',
            name='t_task_setup',
            field=models.ManyToManyField(through='argo.Task_Task_Setup', to='argo.Task', verbose_name='Task'),
        ),
        migrations.AlterField(
            model_name='task_status',
            name='name',
            field=models.TextField(verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='task_task_setup',
            name='round',
            field=models.IntegerField(verbose_name='Round'),
        ),
        migrations.AlterField(
            model_name='task_task_setup',
            name='task',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Task', verbose_name='Task'),
        ),
        migrations.AlterField(
            model_name='task_task_setup',
            name='task_setup',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Task_Setup', verbose_name='Task Setup'),
        ),
        migrations.AlterField(
            model_name='worker',
            name='banned',
            field=models.BooleanField(default=False, verbose_name='Banned'),
        ),
        migrations.AlterField(
            model_name='worker',
            name='birth_date',
            field=models.DateField(verbose_name='Birth Date'),
        ),
        migrations.AlterField(
            model_name='worker',
            name='genre',
            field=models.CharField(max_length=1, verbose_name='Genre'),
        ),
        migrations.AlterField(
            model_name='worker',
            name='w_score',
            field=models.DecimalField(decimal_places=2, default=Decimal('0.00'), max_digits=5, verbose_name='Score'),
        ),
        migrations.AlterField(
            model_name='worker',
            name='w_trustworthiness',
            field=models.DecimalField(decimal_places=2, default=Decimal('1.00'), max_digits=4, verbose_name='Trustworthiness'),
        ),
        migrations.AlterField(
            model_name='worker_campaign',
            name='c_score',
            field=models.DecimalField(decimal_places=2, default=Decimal('0.00'), max_digits=5, verbose_name='Score'),
        ),
        migrations.AlterField(
            model_name='worker_campaign',
            name='c_trustworthiness',
            field=models.DecimalField(decimal_places=2, default=Decimal('1.00'), max_digits=4, verbose_name='Trustworthiness'),
        ),
        migrations.AlterField(
            model_name='worker_campaign',
            name='campaign',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Campaign', verbose_name='Campaign'),
        ),
        migrations.AlterField(
            model_name='worker_campaign',
            name='worker',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Worker', verbose_name='Worker'),
        ),
        migrations.AlterField(
            model_name='worker_campaign',
            name='worker_banned',
            field=models.BooleanField(default=False, verbose_name='Banned'),
        ),
        migrations.AlterField(
            model_name='worker_task',
            name='answer',
            field=models.TextField(verbose_name='Answer'),
        ),
        migrations.AlterField(
            model_name='worker_task',
            name='current_w_trustworthiness',
            field=models.DecimalField(decimal_places=2, max_digits=4, verbose_name='Current Trustworthiness'),
        ),
        migrations.AlterField(
            model_name='worker_task',
            name='round',
            field=models.IntegerField(verbose_name='Round'),
        ),
        migrations.AlterField(
            model_name='worker_task',
            name='task',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Task', verbose_name='Task'),
        ),
        migrations.AlterField(
            model_name='worker_task',
            name='timeout',
            field=models.BooleanField(default=False, verbose_name='Timestamp'),
        ),
        migrations.AlterField(
            model_name='worker_task',
            name='timestamp_in',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Timestamp In'),
        ),
        migrations.AlterField(
            model_name='worker_task',
            name='timestamp_out',
            field=models.DateTimeField(verbose_name='Timestamp Out'),
        ),
        migrations.AlterField(
            model_name='worker_task',
            name='worker',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Worker', verbose_name='Worker'),
        ),
        migrations.AddField(
            model_name='task_setup_pattern',
            name='task_setup',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='argo.Task_Setup', verbose_name='Task Setup'),
        ),
        migrations.AddField(
            model_name='pattern',
            name='ts_pattern',
            field=models.ManyToManyField(through='argo.Task_Setup_Pattern', to='argo.Task_Setup', verbose_name='Task Setup'),
        ),
        migrations.AddField(
            model_name='campaign',
            name='campaign_status',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='argo.Campaign_Status', verbose_name='Status'),
            preserve_default=False,
        ),
    ]
